/**
 * World Flag TinyMCE Plugin
 * @author Sovit Tamrakar
 */

(function() {
	// Load plugin specific language pack
	tinymce.PluginManager.requireLangPack("worldflag");
	tinymce.create('tinymce.plugins.WorldFlag', {
		init: function(ed, url) {
			ed.addCommand('worldflag', function() {			
				ed.windowManager.open({
					file : url + '/dialog.php',
					width : 600,
					height : 400,
					inline : 1
				}, {
					plugin_url : url // Plugin absolute URL
				});
			});

			// Register example button
			ed.addButton('worldflag', {
				title : 'worldflag.desc',
				cmd : 'worldflag',
				image : url + '/icon.png'
			});			
		},		
		createControl : function(n, cm) {
			return null;
		},

		getInfo : function() {
			return {
				longname : 'World Flag',
				author : 'Sovit Tamrakar',
				authorurl : 'http://ssovit.com',
				infourl : 'http://ssovit.com',
				version : "1.0"
			};
		}
	});

	// Register plugin
	tinymce.PluginManager.add('worldflag', tinymce.plugins.WorldFlag);
})();